# Uses of Enum Class
org.bukkit.permissions.PermissionDefault

Packages that use PermissionDefault
Package
Description
org.bukkit.permissions
Classes dedicated to providing binary state properties to players.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.util.permissions
Static methods for miscellaneous `permission` functionality.

## Uses of PermissionDefault in org.bukkit.permissions

Fields in org.bukkit.permissions declared as PermissionDefault
Modifier and Type
Field
Description
`static final PermissionDefault`
Permission.`DEFAULT_PERMISSION`
Methods in org.bukkit.permissions that return PermissionDefault
Modifier and Type
Method
Description
`static @Nullable PermissionDefault`
PermissionDefault.`getByName(@NotNull String name)`
Looks up a PermissionDefault by name
`@NotNull PermissionDefault`
Permission.`getDefault()`
Gets the default value of this permission.
`static PermissionDefault`
PermissionDefault.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PermissionDefault[]`
PermissionDefault.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.bukkit.permissions with parameters of type PermissionDefault
Modifier and Type
Method
Description
`static @NotNull Permission`
Permission.`loadPermission(@NotNull String name, @NotNull Map<?,?> data, @Nullable PermissionDefault def, @Nullable List<Permission> output)`
Loads a Permission from a map of data, usually used from retrieval from a yaml file.
`static @NotNull List<Permission>`
Permission.`loadPermissions(@NotNull Map<?,?> data, @NotNull String error, @Nullable PermissionDefault def)`
Loads a list of Permissions from a map of data, usually used from retrieval from a yaml file.
`void`
Permission.`setDefault(@NotNull PermissionDefault value)`
Sets the default value of this permission.
Constructors in org.bukkit.permissions with parameters of type PermissionDefault
Modifier
Constructor
Description
``
`Permission(@NotNull String name, @Nullable String description, @Nullable PermissionDefault defaultValue)`
``
`Permission(@NotNull String name, @Nullable String description, @Nullable PermissionDefault defaultValue, @Nullable Map<String,Boolean> children)`
``
`Permission(@NotNull String name, @Nullable PermissionDefault defaultValue)`
``
`Permission(@NotNull String name, @Nullable PermissionDefault defaultValue, @Nullable Map<String,Boolean> children)`

## Uses of PermissionDefault in org.bukkit.plugin

Methods in org.bukkit.plugin that return PermissionDefault
Modifier and Type
Method
Description
`@NotNull PermissionDefault`
PluginDescriptionFile.`getPermissionDefault()`
Gives the default `default` state of `permissions` registered for the plugin.

## Uses of PermissionDefault in org.bukkit.util.permissions

Methods in org.bukkit.util.permissions with parameters of type PermissionDefault
Modifier and Type
Method
Description
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @NotNull Permission parent)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @Nullable Map<String,Boolean> children)`
`static @NotNull Permission`
DefaultPermissions.`registerPermission(@NotNull String name, @Nullable String desc, @Nullable PermissionDefault def, @Nullable Map<String,Boolean> children, @NotNull Permission parent)`